LibOFX: Data Fields

LibOFX

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- account_id : OfxAccountData , OfxStatementData , OfxTransactionData
- account_name : OfxAccountData
- account_number : OfxAccountData
- account_ptr : OfxStatementData , OfxTransactionData
- accountlist : OfxFiServiceInfo
- AccountType : OfxAccountData
- amount : OfxTransactionData
- available_balance : OfxStatementData
- available_balance_date_valid : OfxStatementData

### - b -

- bank_id : OfxAccountData
- billpay : OfxFiServiceInfo

### - c -

- check_number : OfxTransactionData
- code : OfxStatusData
- code_valid : OfxStatusData
- commission : OfxTransactionData
- currency : OfxAccountData , OfxCurrency , OfxSecurityData , OfxStatementData

### - d -

- date_end : OfxStatementData
- date_funds_available : OfxTransactionData
- date_initiated : OfxTransactionData
- date_posted : OfxTransactionData
- date_start : OfxStatementData
- date_unitprice : OfxSecurityData
- description : LibofxFileFormatInfo , OfxStatusData

### - e -

- ERROR : OfxStatusData
- exchange_rate : OfxCurrency

### - f -

- fees : OfxTransactionData
- fi_id : OfxTransactionData
- fi_id_corrected : OfxTransactionData
- fi_id_correction_action : OfxTransactionData
- fiid : OfxSecurityData
- format : LibofxFileFormatInfo
- format_name : LibofxFileFormatInfo

### - i -

- INFO : OfxStatusData
- investments : OfxFiServiceInfo

### - l -

- ledger_balance : OfxStatementData
- ledger_balance_date : OfxStatementData

### - m -

- marketing_info : OfxStatementData
- memo : OfxSecurityData , OfxTransactionData
- must_convert : OfxCurrency

### - n -

- name : OfxStatusData , OfxTransactionData

### - o -

- OFX_CHECKING : OfxAccountData
- OFX_CMA : OfxAccountData
- OFX_CREDITCARD : OfxAccountData
- OFX_CREDITLINE : OfxAccountData
- ofx_element_name_valid : OfxStatusData
- OFX_INVESTMENT : OfxAccountData
- OFX_MONEYMRKT : OfxAccountData
- OFX_SAVINGS : OfxAccountData

### - p -

- payee_id : OfxTransactionData

### - r -

- reference_number : OfxTransactionData

### - s -

- secname : OfxSecurityData
- security_data_valid : OfxTransactionData
- server_message : OfxStatusData
- server_transaction_id : OfxTransactionData
- Severity : OfxStatusData
- standard_industrial_code : OfxTransactionData
- statements : OfxFiServiceInfo

### - t -

- ticker : OfxSecurityData
- transactiontype_valid : OfxTransactionData

### - u -

- unique_id : OfxSecurityData , OfxTransactionData
- unique_id_type : OfxSecurityData , OfxTransactionData
- unitprice : OfxSecurityData , OfxTransactionData
- units : OfxTransactionData

### - w -

- WARN : OfxStatusData